#!/bin/bash

. /root/.netbox-token

# Build DNS data file from NetBox
curl -s \
  -H "Accept: application/json; indent=2" \
  -H "Authorization: Token $NETBOX_TOKEN" \
  "https://netbox.koszewscy.waw.pl/api/ipam/ip-addresses/" | \
  jq -r '.results[] | select(.dns_name!="") | [(.address | split("/"))[0], .dns_name] | @tsv' | \
  while read ip name
  do
    echo "address=/$name/$ip"
  done > /etc/dnsmasq.d/netbox.conf

# Restart the DNSMasq service
systemctl restart dnsmasq.service